## muttprint 0.62b

=== Makefile ===
# Muttprint Makefile
# (c) B. Walle

#####################################################
#      U S E R   S E T T I N G S
#####################################################

# Change this for local installation, 
# e. g. /home/user or /usr/local
prefix = /usr/local

# Change this for some distributions (current setting
# is OK for SuSE)
docdir = /usr/share/doc/packages

# Change this to $(prefix)/man for older distributions
# (current setting is correct according to LSB)
mandir = $(prefix)/share/man

#
# Muttprint needs GNU make. If you installed GNU make
# as `gmake', you have to change this
MAKE = make

# Change this three directories only if you're know
# what you do
sharedir = $(prefix)/share
libdir = $(prefix)/lib
bindir = $(prefix)/bin

#####################################################
#####################################################

install = install
INSTALLBIN = $(install) -m 0755 
INSTALL = $(install) -m 0644 


nothing:
	@echo "Nothing to do. Run \"make install\" to install Muttprint."


install: 
	mkdir -p $(docdir)/muttprint $(bindir) $(sharedir)/muttprint $(mandir)/man1 \
		$(mandir)/de/man1 $(mandir)/es/man1 \
		$(mandir)/cs/man1 $(mandir)/it/man1 \
		$(libdir)/muttprint
	$(INSTALLBIN) muttprint $(bindir)/
	$(INSTALL) CHANGES COPYING INSTALL README* sample-muttprintrc-* \
		$(docdir)/muttprint/
	$(INSTALL) `find pics -type f -print` $(sharedir)/muttprint/
	$(INSTALL) `find translations -type f -print` $(libdir)/muttprint/
	$(MAKE) -C doc/manual docdir=$(docdir) install
	$(MAKE) -C doc/manpages mandir=$(mandir) install

uninstall:
	rm $(bindir)/muttprint
	rm -r $(sharedir)/muttprint/
	rm -r $(libdir)/muttprint/
	rm $(mandir)/man1/muttprint*
	rm $(mandir)/de/man1/muttprint*
	rm $(mandir)/es/man1/muttprint*
	rm -r $(docdir)/muttprint/

tags: muttprint
	pltags.pl muttprint

validate: muttprint
	perl -c muttprint

clean:
	@echo -e "\nNothing to clean. \n\n"
	@echo "\"make clean\" in the doc/* subdirectories"
	@echo "removes precompiled documentation and manpages!"
	@echo "Do this only as developer if you're sure that your installation"
	@echo "is able to recreate this files."

=== doc/manpages/Makefile ===
# Muttprint Manual Pages
# Makefile by B. Walle


VERSION = 0.62
POD2MAN = pod2man --section=1 --release=$(VERSION)
prefix = /usr
mandir = $(prefix)/share/man
INSTALL = install -m 0644 
gzip = gzip -f

TITLE_EN = "Muttprint Short Manual"
TITLE_DE = "Muttprint Kurzanleitung"
TITLE_ES = "Manual Corto de Muttprint"
TITLE_IT = "Breve manuale di Muttprint"
TITLE_CS = "Krtk manul Muttprintu"


all: german english spanish italian czech
german: de/muttprint.1.gz
english: en/muttprint.1.gz
italian: it/muttprint.1.gz
czech: cs/muttprint.1.gz
spanish: es/muttprint.1.gz


de/muttprint.1.gz: de/muttprint.pod

	$(POD2MAN) --center=$(TITLE_DE) de/muttprint.pod de/muttprint.1
	$(gzip) de/muttprint.1

en/muttprint.1.gz: en/muttprint.pod

	$(POD2MAN) --center=$(TITLE_EN) en/muttprint.pod en/muttprint.1
	$(gzip) en/muttprint.1
	
es/muttprint.1.gz: es/muttprint.pod

	$(POD2MAN) --center=$(TITLE_ES) es/muttprint.pod es/muttprint.1
	$(gzip) es/muttprint.1

it/muttprint.1.gz: it/muttprint.pod

	$(POD2MAN) --center=$(TITLE_IT) it/muttprint.pod it/muttprint.1
	$(gzip) it/muttprint.1

cs/muttprint.1.gz: cs/muttprint.pod

	$(POD2MAN) --center=$(TITLE_CS) cs/muttprint.pod cs/muttprint.1
	$(gzip) cs/muttprint.1

install: de/muttprint.1.gz en/muttprint.1.gz es/muttprint.1.gz \
 			it/muttprint.1.gz cs/muttprint.1.gz
	$(INSTALL) en/muttprint.1.gz $(mandir)/man1/
	$(INSTALL) de/muttprint.1.gz $(mandir)/de/man1/
	$(INSTALL) es/muttprint.1.gz $(mandir)/es/man1/
	$(INSTALL) it/muttprint.1.gz $(mandir)/it/man1/
	$(INSTALL) cs/muttprint.1.gz $(mandir)/cs/man1/

uninstall:
	rm -f $(mandir)/man1/muttprint.1.gz
	rm -f $(mandir)/*/man1/muttprint.1.gz

clean: 
	rm */*gz

=== doc/manual/Makefile ===
#
# This is the main makefile for documentation

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 
MAKE = make



default: 
	$(MAKE) -C de
	$(MAKE) -C es
	$(MAKE) -C en
	$(MAKE) -C it
#	$(MAKE) -C cs

all:
	$(MAKE) -C de all
	$(MAKE) -C es all
	$(MAKE) -C en all
	$(MAKE) -C it all
#	$(MAKE) -C cs all

install:
	$(MAKE) -C de install
	$(MAKE) -C es install
	$(MAKE) -C en install
	$(MAKE) -C it install
#	$(MAKE) -C cs install

clean:
	$(MAKE) -C de clean
	$(MAKE) -C es clean
	$(MAKE) -C en clean
	$(MAKE) -C it clean
#	$(MAKE) -C cs clean

=== doc/manual/cs/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = cs
doc = manual-$(lang).sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 


#
# we will not make 'all' but only the 'standard' by default
default: pdf html
all: ps dvi pdf html txt rtf
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang).pdf: manual-$(lang).sgml
	$(sgmltools) -b pdf -j '-d $(stylesheet) -V tex-backend' $(doc)


manual-$(lang).ps: manual-$(lang).sgml
	$(sgmltools) -b ps -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang).dvi: manual-$(lang).sgml
	$(sgmltools) -b dvi -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang)/*: manual-$(lang).sgml
	$(sgmltools) -b html -j '-d $(stylesheet)\#html' $(doc)

manual-$(lang).txt: manual-$(lang).sgml
	$(sgmltools) -b txt  $(doc)

	
manual-$(lang).rtf: manual-$(lang).sgml
	$(sgmltools) -b rtf -j '-d $(stylesheet)' $(doc)

validate:
	$(nsgmls) -s -c $(catalog) $(doc)	

install: *.pdf manual-$(lang)/*
	$(INSTALL) *.pdf $(docdir)/muttprint
	mkdir -p $(docdir)/muttprint/manual-$(lang)
	$(INSTALL) manual-$(lang)/* $(docdir)/muttprint/manual-$(lang)/


gzip:
	$(gzip) *.ps *.txt
	
clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/

=== doc/manual/de/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = de
doc = manual-$(lang).sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 


#
# we will not make 'all' but only the 'standard' by default
default: pdf html
all: ps dvi pdf html txt rtf
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang).pdf: manual-$(lang).sgml
	$(sgmltools) -b pdf -j '-d $(stylesheet) -V tex-backend' $(doc)


manual-$(lang).ps: manual-$(lang).sgml
	$(sgmltools) -b ps -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang).dvi: manual-$(lang).sgml
	$(sgmltools) -b dvi -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang)/*: manual-$(lang).sgml
	$(sgmltools) -b html -j '-d $(stylesheet)\#html' $(doc)

manual-$(lang).txt: manual-$(lang).sgml
	$(sgmltools) -b txt  $(doc)

	
manual-$(lang).rtf: manual-$(lang).sgml
	$(sgmltools) -b rtf -j '-d $(stylesheet)' $(doc)

validate:
	$(nsgmls) -s -c $(catalog) $(doc)	

install: *.pdf manual-$(lang)/*
	$(INSTALL) *.pdf $(docdir)/muttprint
	mkdir -p $(docdir)/muttprint/manual-$(lang)
	$(INSTALL) manual-$(lang)/* $(docdir)/muttprint/manual-$(lang)/


gzip:
	$(gzip) *.ps *.txt
	
clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/

=== doc/manual/en/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = en
doc = manual-$(lang).sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 


#
# we will not make 'all' but only the 'standard' by default
default: pdf html
all: ps dvi pdf html txt rtf
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang).pdf: manual-$(lang).sgml
	$(sgmltools) -b pdf -j '-d $(stylesheet)' $(doc)


manual-$(lang).ps: manual-$(lang).sgml
	$(sgmltools) -b ps -j '-d $(stylesheet)' $(doc)

manual-$(lang).dvi: manual-$(lang).sgml
	$(sgmltools) -b dvi -j '-d $(stylesheet)' $(doc)

manual-$(lang)/*: manual-$(lang).sgml
	$(sgmltools) -b html -j '-d $(stylesheet)\#html' $(doc)

manual-$(lang).txt: manual-$(lang).sgml
	$(sgmltools) -b txt  $(doc)

	
manual-$(lang).rtf: manual-$(lang).sgml
	$(sgmltools) -b rtf -j '-d $(stylesheet)' $(doc)

validate:
	$(nsgmls) -s -c $(catalog) $(doc)	

install: *.pdf manual-$(lang)/*
	$(INSTALL) *.pdf $(docdir)/muttprint
	mkdir -p $(docdir)/muttprint/manual-$(lang)
	$(INSTALL) manual-$(lang)/* $(docdir)/muttprint/manual-$(lang)/


gzip:
	$(gzip) *.ps *.txt
	
clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/

=== doc/manual/es/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = es
doc = manual-$(lang).sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 


#
# we will not make 'all' but only the 'standard' by default
default: pdf html
all: ps dvi pdf html txt rtf
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang).pdf: manual-$(lang).sgml
	$(sgmltools) -b pdf -j '-d $(stylesheet) -V tex-backend' $(doc)


manual-$(lang).ps: manual-$(lang).sgml
	$(sgmltools) -b ps -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang).dvi: manual-$(lang).sgml
	$(sgmltools) -b dvi -j '-d $(stylesheet) -V tex-backend' $(doc)

manual-$(lang)/*: manual-$(lang).sgml
	$(sgmltools) -b html -j '-d $(stylesheet)\#html' $(doc)

manual-$(lang).txt: manual-$(lang).sgml
	$(sgmltools) -b txt  $(doc)

	
manual-$(lang).rtf: manual-$(lang).sgml
	$(sgmltools) -b rtf -j '-d $(stylesheet)' $(doc)

validate:
	$(nsgmls) -s -c $(catalog) $(doc)	

install: *.pdf manual-$(lang)/*
	$(INSTALL) *.pdf $(docdir)/muttprint
	mkdir -p $(docdir)/muttprint/manual-$(lang)
	$(INSTALL) manual-$(lang)/* $(docdir)/muttprint/manual-$(lang)/


gzip:
	$(gzip) *.ps *.txt
	
clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/

=== doc/manual/it/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = it
doc = manual-$(lang).sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 


#
# we will not make 'all' but only the 'standard' by default
default: pdf html
all: ps dvi pdf html txt rtf
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang).pdf: manual-$(lang).sgml
	$(sgmltools) -b pdf -j '-d $(stylesheet)' $(doc)


manual-$(lang).ps: manual-$(lang).sgml
	$(sgmltools) -b ps -j '-d $(stylesheet)' $(doc)

manual-$(lang).dvi: manual-$(lang).sgml
	$(sgmltools) -b dvi -j '-d $(stylesheet)' $(doc)

manual-$(lang)/*: manual-$(lang).sgml
	$(sgmltools) -b html -j '-d $(stylesheet)\#html' $(doc)

manual-$(lang).txt: manual-$(lang).sgml
	$(sgmltools) -b txt  $(doc)

	
manual-$(lang).rtf: manual-$(lang).sgml
	$(sgmltools) -b rtf -j '-d $(stylesheet)' $(doc)

validate:
	$(nsgmls) -s -c $(catalog) $(doc)	

install: *.pdf manual-$(lang)/*
	$(INSTALL) *.pdf $(docdir)/muttprint
	mkdir -p $(docdir)/muttprint/manual-$(lang)
	$(INSTALL) manual-$(lang)/* $(docdir)/muttprint/manual-$(lang)/


gzip:
	$(gzip) *.ps *.txt
	
clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/

## muttprint 0.72d

=== Makefile ===
# Muttprint Makefile
# (c) B. Walle

#####################################################
#      U S E R   S E T T I N G S
#####################################################

# Change this for local installation, 
# e. g. /home/user or /usr/local
prefix = /usr/local

# Change this for some distributions (current setting
# is OK for SuSE)
docdir = /usr/share/doc/packages

# Change this to $(prefix)/man for older distributions
# (current setting is correct according to LSB)
mandir = $(prefix)/share/man

#
# Muttprint needs GNU make. If you installed GNU make
# as `gmake', you have to change this
MAKE = make

# Change this three directories only if you're know
# what you do
sharedir = $(prefix)/share
libdir = $(prefix)/lib
bindir = $(prefix)/bin
sysconfdir = /etc
docdirname = muttprint

#####################################################
#####################################################

install = install
INSTALLBIN = $(install) -m 0755 
INSTALL = $(install) -m 0644 


all:
	$(MAKE) -C langinfo 

install: 
	mkdir -p $(docdir)/$(docdirname) $(bindir) $(sharedir)/muttprint/translations \
		$(mandir)/man1 $(mandir)/de/man1 $(mandir)/es/man1 \
		$(mandir)/cs/man1 $(mandir)/it/man1 
	$(INSTALLBIN) muttprint $(bindir)/
	$(INSTALL) CHANGES COPYING INSTALL README* sample-muttprintrc-* \
		$(docdir)/$(docdirname)
	$(INSTALL) `find pics -type f -print` $(sharedir)/muttprint/
	$(INSTALL) `find translations -type f -print` $(sharedir)/muttprint/translations
	$(MAKE) -C langinfo bindir=$(bindir) install
	$(MAKE) -C doc/manual docdir=$(docdir) docdirname=$(docdirname) install
	$(MAKE) -C doc/manpages mandir=$(mandir) install


uninstall:
	rm $(bindir)/muttprint*
	rm -r $(sharedir)/muttprint/
	rm $(mandir)/man1/muttprint*
	rm $(mandir)/de/man1/muttprint*
	rm $(mandir)/es/man1/muttprint*
	rm -r $(docdir)/$(docdirname)

tags: muttprint
	pltags.pl muttprint

validate: muttprint
	perl -c muttprint

clean:
	$(MAKE) -C langinfo clean

=== langinfo/Makefile ===
# Muttprint Manual Pages
# Makefile by B. Walle


VERSION = 0.71
POD2MAN = pod2man --section=1 --release=$(VERSION)
prefix = /usr
bindir = $(prefix)/bin
tempdir = /tmp
sysconfdir = /etc
docdir = /usr/share/doc/packages
docdirname = muttprint
sharedir = $(prefix)/share
libdir = $(prefix)/lib
mandir = $(prefix)/share/man
INSTALL = install -m 0755 
gzip = gzip -f
rm = rm


all: muttprint-langinfo

muttprint-langinfo: main.o muttprint-langinfo.o muttprint-langinfo.h
	$(CC) $(CCFLAGS) -o muttprint-langinfo muttprint-langinfo.o main.o

main.o: main.c muttprint-langinfo.h
	$(CC) $(CCFLAGS) -c -o main.o main.c

muttprint-langinfo.o: muttprint-langinfo.c
	$(CC) $(CCFLAGS) -c -o muttprint-langinfo.o muttprint-langinfo.c
	
install: 
	test -x muttprint-langinfo && \
		$(INSTALL) muttprint-langinfo $(bindir)/muttprint-langinfo || true

uninstall:
	rm -f $(bindir)/muttprint-langinfo

clean:
	rm -f *.o muttprint-langinfo

=== doc/manpages/Makefile ===
# Muttprint Manual Pages
# Makefile by B. Walle


VERSION = 0.72
POD2MAN = pod2man --section=1 --release=$(VERSION)
prefix = /usr
bindir = $(prefix)/bin
tempdir = /tmp
sysconfdir = /etc
docdir = /usr/share/doc/packages
docdirname = muttprint
sharedir = $(prefix)/share
libdir = $(prefix)/lib
mandir = $(prefix)/share/man
INSTALL = install -m 0644 
gzip = gzip -f
rm = rm

TITLE_EN = "Muttprint Short Manual"
TITLE_DE = "Muttprint Kurzanleitung"
TITLE_ES = "Manual Corto de Muttprint"
TITLE_IT = "Breve manuale di Muttprint"


all: german english spanish italian
german: de/muttprint.1.gz
english: en/muttprint.1.gz
italian: it/muttprint.1.gz
spanish: es/muttprint.1.gz

############################# GERMAN #################################

de/muttprint: de/muttprint.pod
	cat de/muttprint.pod | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> de/muttprint

de/muttprint.1.gz: de/muttprint
	$(POD2MAN) --center=$(TITLE_DE) de/muttprint de/muttprint.1
	$(gzip) de/muttprint.1
	$(rm) de/muttprint


############################# ENGLISH ################################

en/muttprint: en/muttprint.pod
	cat en/muttprint.pod | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> en/muttprint

en/muttprint.1.gz: en/muttprint
	$(POD2MAN) --center=$(TITLE_EN) en/muttprint en/muttprint.1
	$(gzip) en/muttprint.1
	$(rm) en/muttprint


############################# SPANISH #################################

es/muttprint: es/muttprint.pod
	cat es/muttprint.pod | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> es/muttprint

es/muttprint.1.gz: es/muttprint
	$(POD2MAN) --center=$(TITLE_ES) es/muttprint es/muttprint.1
	$(gzip) es/muttprint.1
	$(rm) es/muttprint


############################ ITALIAN ##################################

it/muttprint: it/muttprint.pod
	cat it/muttprint.pod | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> it/muttprint

it/muttprint.1.gz: it/muttprint
	$(POD2MAN) --center=$(TITLE_IT) it/muttprint it/muttprint.1
	$(gzip) it/muttprint.1
	$(rm) it/muttprint


########################### GENERAL ###################################

# removing dependencies, see Makefiles for documentation for an
# explation
##install: de/muttprint.1.gz en/muttprint.1.gz es/muttprint.1.gz \
## 			it/muttprint.1.gz 
install:
	$(INSTALL) en/muttprint.1.gz $(mandir)/man1/
	$(INSTALL) de/muttprint.1.gz $(mandir)/de/man1/
	$(INSTALL) es/muttprint.1.gz $(mandir)/es/man1/
	$(INSTALL) it/muttprint.1.gz $(mandir)/it/man1/

uninstall:
	rm -f $(mandir)/man1/muttprint.1.gz
	rm -f $(mandir)/*/man1/muttprint.1.gz

clean: 
	rm */muttprint.1.gz

=== doc/manual/Makefile ===
#
# This is the main makefile for documentation

prefix = /usr
docdir = $(prefix)/share/doc/packages
INSTALL = install -m 0644
INSTALLDIR = install -d 
MAKE = make

default: 
	$(MAKE) -C de
	$(MAKE) -C es
	$(MAKE) -C en
	$(MAKE) -C it
	$(MAKE) -C sl

all:
	$(MAKE) -C de all
	$(MAKE) -C es all
	$(MAKE) -C en all
	$(MAKE) -C it all
	$(MAKE) -C sl all

install:
	$(MAKE) -C de install
	$(MAKE) -C es install
	$(MAKE) -C en install
	$(MAKE) -C it install
	$(MAKE) -C sl install

clean:
	$(MAKE) -C de clean
	$(MAKE) -C es clean
	$(MAKE) -C en clean
	$(MAKE) -C it clean
	$(MAKE) -C sl clean

=== doc/manual/de/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = de
doc = manual-$(lang).sgml
doc-sed = manual-$(lang)-sed.sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
db2html = /usr/bin/db2html
db2pdf = /usr/bin/db2pdf
db2ps = /usr/bin/db2ps
db2dvi = /usr/bin/db2dvi
db2html = /usr/bin/db2html
db2rtf = /usr/bin/db2rtf
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip
mv = /bin/mv

prefix = /usr
sharedir = $(prefix)/share
sysconfdir = /etc
tempdir = /tmp
bindir = $(prefix)/bin
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/packages
docdirname = muttprint
INSTALL = install -m 0644
INSTALLDIR = install -d


#
# we will not make 'all' but only the 'standard' by default
default: pdf html sed-clean
all: ps dvi pdf html rtf sed-clean
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang)-sed.sgml: manual-$(lang).sgml
	cat manual-$(lang).sgml | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> manual-$(lang)-sed.sgml

manual-$(lang).pdf: $(doc-sed)
	$(db2pdf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.pdf manual-$(lang).pdf

manual-$(lang).ps: $(doc-sed)
	$(db2ps) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.ps manual-$(lang).ps

manual-$(lang).dvi: $(doc-sed)
	$(db2dvi) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.dvi manual-$(lang).dvi

manual-$(lang)/*: $(doc-sed)
	$(db2html) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed manual-$(lang)

manual-$(lang).rtf: $(doc-sed)
	$(db2rtf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.rtf manual-$(lang).rtf

validate:
	$(nsgmls) -s -c $(catalog) $(doc)

# Abhaengigkeiten geloescht
# Grund: In Verbindung mit sed-clean wird beim Installieren
# das Manual neu erzeugt
# Vielleicht werde ich das Problem in Zukunft loesen,
# alte Zeile war:
##install: manual-$(lang).pdf manual-$(lang)/muttprint.html
install: 
	$(INSTALL) *.pdf $(docdir)/$(docdirname)
	mkdir -p $(docdir)/$(docdirname)/manual-$(lang)
	# ignore the stylesheet-images/ directory because the files are not needed
	$(INSTALL) manual-$(lang)/*.html $(docdir)/$(docdirname)/manual-$(lang)/
	$(INSTALL) manual-$(lang)/*.css $(docdir)/$(docdirname)/manual-$(lang)/

gzip:
	$(gzip) *.ps *.txt
	
sed-clean:
	rm -rf *sed*

clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/ *sed*

=== doc/manual/en/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = en
doc = manual-$(lang).sgml
doc-sed = manual-$(lang)-sed.sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
db2html = /usr/bin/db2html
db2pdf = /usr/bin/db2pdf
db2ps = /usr/bin/db2ps
db2dvi = /usr/bin/db2dvi
db2html = /usr/bin/db2html
db2rtf = /usr/bin/db2rtf
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip
mv = /bin/mv

prefix = /usr
sharedir = $(prefix)/share
sysconfdir = /etc
tempdir = /tmp
bindir = $(prefix)/bin
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/packages
docdirname = muttprint
INSTALL = install -m 0644
INSTALLDIR = install -d


#
# we will not make 'all' but only the 'standard' by default
default: pdf html sed-clean
all: ps dvi pdf html rtf sed-clean
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang)-sed.sgml: manual-$(lang).sgml
	cat manual-$(lang).sgml | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> manual-$(lang)-sed.sgml

manual-$(lang).pdf: $(doc-sed)
	$(db2pdf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.pdf manual-$(lang).pdf

manual-$(lang).ps: $(doc-sed)
	$(db2ps) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.ps manual-$(lang).ps

manual-$(lang).dvi: $(doc-sed)
	$(db2dvi) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.dvi manual-$(lang).dvi

manual-$(lang)/*: $(doc-sed)
	$(db2html) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed manual-$(lang)

manual-$(lang).rtf: $(doc-sed)
	$(db2rtf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.rtf manual-$(lang).rtf

validate:
	$(nsgmls) -s -c $(catalog) $(doc)

# Abhaengigkeiten geloescht
# Grund: In Verbindung mit sed-clean wird beim Installieren
# das Manual neu erzeugt
# Vielleicht werde ich das Problem in Zukunft loesen,
# alte Zeile war:
##install: manual-$(lang).pdf manual-$(lang)/muttprint.html
install: 
	$(INSTALL) *.pdf $(docdir)/$(docdirname)
	mkdir -p $(docdir)/$(docdirname)/manual-$(lang)
	# ignore the stylesheet-images/ directory because the files are not needed
	$(INSTALL) manual-$(lang)/*.html $(docdir)/$(docdirname)/manual-$(lang)/
	$(INSTALL) manual-$(lang)/*.css $(docdir)/$(docdirname)/manual-$(lang)/

gzip:
	$(gzip) *.ps *.txt
	
sed-clean:
	rm -rf *sed*

clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/ *sed*

=== doc/manual/es/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = es
doc = manual-$(lang).sgml
doc-sed = manual-$(lang)-sed.sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
db2html = /usr/bin/db2html
db2pdf = /usr/bin/db2pdf
db2ps = /usr/bin/db2ps
db2dvi = /usr/bin/db2dvi
db2html = /usr/bin/db2html
db2rtf = /usr/bin/db2rtf
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip
mv = /bin/mv

prefix = /usr
sharedir = $(prefix)/share
sysconfdir = /etc
tempdir = /tmp
bindir = $(prefix)/bin
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/packages
docdirname = muttprint
INSTALL = install -m 0644
INSTALLDIR = install -d


#
# we will not make 'all' but only the 'standard' by default
default: pdf html sed-clean
all: ps dvi pdf html rtf sed-clean
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang)-sed.sgml: manual-$(lang).sgml
	cat manual-$(lang).sgml | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> manual-$(lang)-sed.sgml

manual-$(lang).pdf: $(doc-sed)
	$(db2pdf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.pdf manual-$(lang).pdf

manual-$(lang).ps: $(doc-sed)
	$(db2ps) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.ps manual-$(lang).ps

manual-$(lang).dvi: $(doc-sed)
	$(db2dvi) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.dvi manual-$(lang).dvi

manual-$(lang)/*: $(doc-sed)
	$(db2html) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed manual-$(lang)

manual-$(lang).rtf: $(doc-sed)
	$(db2rtf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.rtf manual-$(lang).rtf

validate:
	$(nsgmls) -s -c $(catalog) $(doc)

# Abhaengigkeiten geloescht
# Grund: In Verbindung mit sed-clean wird beim Installieren
# das Manual neu erzeugt
# Vielleicht werde ich das Problem in Zukunft loesen,
# alte Zeile war:
##install: manual-$(lang).pdf manual-$(lang)/muttprint.html
install: 
	$(INSTALL) *.pdf $(docdir)/$(docdirname)
	mkdir -p $(docdir)/$(docdirname)/manual-$(lang)
	# ignore the stylesheet-images/ directory because the files are not needed
	$(INSTALL) manual-$(lang)/*.html $(docdir)/$(docdirname)/manual-$(lang)/
	$(INSTALL) manual-$(lang)/*.css $(docdir)/$(docdirname)/manual-$(lang)/

gzip:
	$(gzip) *.ps *.txt
	
sed-clean:
	rm -rf *sed*

clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/ *sed*

=== doc/manual/it/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = it
doc = manual-$(lang).sgml
doc-sed = manual-$(lang)-sed.sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
db2html = /usr/bin/db2html
db2pdf = /usr/bin/db2pdf
db2ps = /usr/bin/db2ps
db2dvi = /usr/bin/db2dvi
db2html = /usr/bin/db2html
db2rtf = /usr/bin/db2rtf
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip
mv = /bin/mv

prefix = /usr
sharedir = $(prefix)/share
sysconfdir = /etc
tempdir = /tmp
bindir = $(prefix)/bin
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/packages
docdirname = muttprint
INSTALL = install -m 0644
INSTALLDIR = install -d


#
# we will not make 'all' but only the 'standard' by default
default: pdf html sed-clean
all: ps dvi pdf html rtf sed-clean
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang)-sed.sgml: manual-$(lang).sgml
	cat manual-$(lang).sgml | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> manual-$(lang)-sed.sgml

manual-$(lang).pdf: $(doc-sed)
	$(db2pdf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.pdf manual-$(lang).pdf

manual-$(lang).ps: $(doc-sed)
	$(db2ps) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.ps manual-$(lang).ps

manual-$(lang).dvi: $(doc-sed)
	$(db2dvi) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.dvi manual-$(lang).dvi

manual-$(lang)/*: $(doc-sed)
	$(db2html) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed manual-$(lang)

manual-$(lang).rtf: $(doc-sed)
	$(db2rtf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.rtf manual-$(lang).rtf

validate:
	$(nsgmls) -s -c $(catalog) $(doc)

# Abhaengigkeiten geloescht
# Grund: In Verbindung mit sed-clean wird beim Installieren
# das Manual neu erzeugt
# Vielleicht werde ich das Problem in Zukunft loesen,
# alte Zeile war:
##install: manual-$(lang).pdf manual-$(lang)/muttprint.html
install: 
	$(INSTALL) *.pdf $(docdir)/$(docdirname)
	mkdir -p $(docdir)/$(docdirname)/manual-$(lang)
	# ignore the stylesheet-images/ directory because the files are not needed
	$(INSTALL) manual-$(lang)/*.html $(docdir)/$(docdirname)/manual-$(lang)/
	$(INSTALL) manual-$(lang)/*.css $(docdir)/$(docdirname)/manual-$(lang)/

gzip:
	$(gzip) *.ps *.txt
	
sed-clean:
	rm -rf *sed*

clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/ *sed*

=== doc/manual/sl/Makefile ===
#
# Makefile for Muttprint-Documentation  
# (c) B. Walle
#

#
# The stylesheet is necessary for A4 paper format
# (we're in Europe, not in U.S.A.)

lang = sl
doc = manual-$(lang).sgml
doc-sed = manual-$(lang)-sed.sgml

db2html = /usr/bin/db2html
sgmltools = /usr/bin/sgmltools
db2html = /usr/bin/db2html
db2pdf = /usr/bin/db2pdf
db2ps = /usr/bin/db2ps
db2dvi = /usr/bin/db2dvi
db2html = /usr/bin/db2html
db2rtf = /usr/bin/db2rtf
stylesheet = ../stylesheet.dsl
nsgmls = /usr/bin/nsgmls
catalog = /usr/share/sgml/CATALOG.docbook_4
gzip = /usr/bin/gzip
mv = /bin/mv

prefix = /usr
sharedir = $(prefix)/share
sysconfdir = /etc
tempdir = /tmp
bindir = $(prefix)/bin
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/packages
docdirname = muttprint
INSTALL = install -m 0644
INSTALLDIR = install -d


#
# we will not make 'all' but only the 'standard' by default
default: pdf html sed-clean
all: ps dvi pdf html rtf sed-clean
ps: manual-$(lang).ps
pdf: manual-$(lang).pdf
dvi: manual-$(lang).dvi
html: manual-$(lang)/*
txt: manual-$(lang).txt
rtf: manual-$(lang).rtf

manual-$(lang)-sed.sgml: manual-$(lang).sgml
	cat manual-$(lang).sgml | sed -e s%\#\#DOCDIR\#\#%$(docdir)%g | \
		sed -e s%\#\#SHAREDIR\#\#%$(sharedir)%g | \
		sed -e s%\#\#BINDIR\#\#%$(bindir)%g | \
		sed -e s%\#\#SYSCONFDIR\#\#%$(sysconfdir)%g | \
		sed -e s%\#\#TEMPDIR\#\#%$(tempdir)%g | \
		sed -e s%\#\#LIBDIR\#\#%$(libdir)%g  \
		> manual-$(lang)-sed.sgml

manual-$(lang).pdf: $(doc-sed)
	$(db2pdf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.pdf manual-$(lang).pdf

manual-$(lang).ps: $(doc-sed)
	$(db2ps) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.ps manual-$(lang).ps

manual-$(lang).dvi: $(doc-sed)
	$(db2dvi) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.dvi manual-$(lang).dvi

manual-$(lang)/*: $(doc-sed)
	$(db2html) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed manual-$(lang)

manual-$(lang).rtf: $(doc-sed)
	$(db2rtf) -s $(stylesheet) $(doc-sed)
	$(mv) manual-$(lang)-sed.rtf manual-$(lang).rtf

validate:
	$(nsgmls) -s -c $(catalog) $(doc)

# Abhaengigkeiten geloescht
# Grund: In Verbindung mit sed-clean wird beim Installieren
# das Manual neu erzeugt
# Vielleicht werde ich das Problem in Zukunft loesen,
# alte Zeile war:
##install: manual-$(lang).pdf manual-$(lang)/muttprint.html
install: 
	$(INSTALL) *.pdf $(docdir)/$(docdirname)
	mkdir -p $(docdir)/$(docdirname)/manual-$(lang)
	# ignore the stylesheet-images/ directory because the files are not needed
	$(INSTALL) manual-$(lang)/*.html $(docdir)/$(docdirname)/manual-$(lang)/
	$(INSTALL) manual-$(lang)/*.css $(docdir)/$(docdirname)/manual-$(lang)/

gzip:
	$(gzip) *.ps *.txt
	
sed-clean:
	rm -rf *sed*

clean:
	rm -rf *.dvi *.rtf *.pdf *.ps *.txt *.gz manual-$(lang)/ *sed*

## muttprint 0.73

=== debian/changelog ===
muttprint (0.73-8) unstable; urgency=medium

  * build-depend on automake, not automake1.11 (anymore) (closes: #865190)
  * don't aclocal/automake manually, use dh_autoreconf
  * bump dh compat to 9
  * migrate from dpatch to 3.0 (quilt) (closes: #668648)

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jun 2017 19:12:50 +0000

muttprint (0.73-7) unstable; urgency=medium

  * *really* fix Unescaped left brace in regex (closes: #814920) 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Jul 2016 13:26:36 +0200

muttprint (0.73-6) unstable; urgency=medium

  * Raise debhelper compat level and build dependency to 5 (Closes: #817591)
  * fix Unescaped left brace in regex (closes: #814920)
  * add build-indep, use dh_prep

 -- Rene Engelhard <rene@debian.org>  Mon, 20 Jun 2016 07:35:24 +0200

muttprint (0.73-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #724420)

 -- Eric Dorland <eric@debian.org>  Fri, 14 Mar 2014 23:30:08 -0400

muttprint (0.73-5) unstable; urgency=low

   * apply patch from Etienne Millon:
    + Fix "FTBFS: POD errors"
      Add a patch with encoding (Closes: #724200)
   * remove patch to run pod2man with --utf8 again

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 21:30:49 +0100

muttprint (0.73-4) unstable; urgency=low

  * remove obsolete debconf note (closes: #631303, #658505)
  * run pod2man with --utf8 to fix german manpage encoding,
    thanks Helge Kreutzmann (closes: #631117)
  * update muttprint-manual.doc-base 

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Feb 2012 21:31:18 +0000

muttprint (0.73-3) unstable; urgency=low

  * 17_leave_tmp_dir.dpatch, also chdir() in the fatalError sub, thanks
    martin krafft again (closes: #551543)
  * suggest texlive-fonts-extra 

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Dec 2010 20:19:45 +0100

muttprint (0.73-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "cannot remove path when cwd is /tmp/muttprint*": new patch
    17_leave_tmp_dir.dpatch by martin krafft: change away from temp dir before
    removing it (closes: #551543).

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Nov 2010 19:31:49 +0100

muttprint (0.73-2) unstable; urgency=low

  * upload to unstable 
  * add missing build-dep on docbook
  * add Russian debconf templates translation (closes: #537366)
  * move libtimedate-perl to recommends (closes: #419876) 

 -- Rene Engelhard <rene@debian.org>  Fri, 14 Aug 2009 03:10:30 +0200

muttprint (0.73-1) experimental; urgency=low

  * new upstream release.
    - expands ~ in TO_FILE (closes: #480853)
    - fixes removal of e-mail sigs (closes: #431638)
  * remove tetex-* from Depends: (closes: #475009)  
  * migrate from dbs to dpatch
  * add build-dep on autoconf/automake1.9 since releases now have no
    ./configure/Makefiles... pre-convert pics/ files to get pics/ build
    working
  * actually apply 03_fix_muttrc_changing_instructions and don't install
    README.pics anymore
  * debian/rules cleanup

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Dec 2008 23:22:20 +0100

muttprint (0.72d-10) unstable; urgency=high

  * backport fix for 15_CVE-2008-5368 from upstrem (closes: #509487)
  * fix up lintian warnings

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Dec 2008 22:32:04 +0100

muttprint (0.72d-9) unstable; urgency=low

  * add galician debconf translation, thanks Jacobo Tarrio (closes: #414037) 

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Mar 2007 09:06:18 +0100

muttprint (0.72d-8) unstable; urgency=low

  * remove muttprint/utf8 debconf question, depend on perl (>= 5.8.0-16)
    instead (closes: #388940)

 -- Rene Engelhard <rene@debian.org>  Sun, 24 Sep 2006 19:44:30 +0200

muttprint (0.72d-7) unstable; urgency=low

  * change depends to latex-ucs | texlive-latex-recommended, thanks
    Magnus Therning (closes: #388201)

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Sep 2006 11:08:11 +0200

muttprint (0.72d-6) unstable; urgency=low

  * Depend on tetex-ucs now since "Unicode locales *are* default [...] for
    etch"... (closes: #262485)
  * make Build-Depends-Indep Build-Depends: 
  * add pt debconf translation, thanks Rui Branco (closes: #381690)
  * add updated sv debconf translation, thanks Daniel Nylander (closes: #350631)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Sep 2006 19:17:22 +0200

muttprint (0.72d-5) unstable; urgency=low

  * support texlive-* in muttprints Depends

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2006 05:44:20 +0100

muttprint (0.72d-4) unstable; urgency=low

  * readd apparently lost patch to point to /usr/share/ospics for the images
    instead of /usr/share/muttprint, thanks David Moreno Garza
  * add sv po-debconf translation, thanks Daniel Nylander (closes: #340970)

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2006 22:20:05 +0100

muttprint (0.72d-3) unstable; urgency=low

  * readd uncorrupted Debian.png from CVS (closes: #342277)

 -- Rene Engelhard <rene@debian.org>  Tue,  3 Jan 2006 10:51:23 +0100

muttprint (0.72d-2) unstable; urgency=low

  * lower slrn Recommends to Suggests. Remove versioned Recommends: on
    perl which was only "necessary" for woody. Same with the versioned
    tetex-extra Suggests (closes: #333608)
  * fix typo in de.po, thanks Jens Seidel (closes: #313964)
  * add vi.po, thanks Clytie Siddall (closes: #312993)
  * s/apperently/apparently/, thanks Clytie Siddall (closes: #312994)
  * fix bashism in config script 
  * Standards-Version: 3.6.2 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Oct 2005 16:34:20 +0200

muttprint (0.72d-1) unstable; urgency=high

  * New micro upstream release
    - only upstream maintainer change, spelling fixes
    - disables MAINT_SEARCH (closes: #309892)
  * add ja debconf translation, thanks Hideki Yamane (closes: #290143)

 -- Rene Engelhard <rene@debian.org>  Fri, 20 May 2005 17:12:44 +0200

muttprint (0.72c-2) unstable; urgency=low

  * add cs debconf translation, thanks Miroslav Kure (closes: #273710)


=== debian/control ===
Source: muttprint
Section: mail
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 9), imagemagick, ghostscript, docbook-utils, sharutils, dh-autoreconf, automake, autoconf, docbook
Standards-Version: 3.6.2

Package: muttprint
Architecture: all
Depends: ${perl:Depends} (>= 5.8.0-16), ${misc:Depends}, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, libtext-iconv-perl, latex-ucs | texlive-latex-recommended
Recommends: mutt | sylpheed | gnus | xfmail | exmh | mail-reader, libtimedate-perl
Suggests: ospics, compface, imagemagick, psutils, muttprint-manual, dialog, slrn | news-reader, texlive-fonts-extra
Enhances: mail-reader, news-reader
Description: Pretty printing of mails
 Muttprint formats the printing of Mutt and other mail clients to be as
 pretty as the printing of Mozilla or Kmail.
 .
 It can print a little penguin -- or the Debian logo -- on the first
 page (suitable pictures can be found in the ospics package) and a headline
 on every page. Furthermore, it only prints the most important headers, but
 not the whole plethora of them. Finally, it can even print two pages on one
 page in landscape format.
 
Package: muttprint-manual
Architecture: all
Section: doc
Enhances: muttprint
Replaces: muttprint (<< 0.70-1)
Depends: lynx | www-browser | xpdf | pdf-viewer, ${misc:Depends}
Description: Manual for muttprint
 Muttprint formats the printing of Mutt and other mail clients to be as
 pretty as the printing of Mozilla or Kmail.
 .
 This package contains the manual.
 
Package: ospics
Section: graphics
Architecture: all
Enhances: muttprint
Depends: ${misc:Depends}
Description: Some images of operating system logos/mascots
 This package contains some operating system logos / mascots
 .
 It contains:
  - Tux (black/white)
  - "Baby Tux" (black/white and color)
  - Debian swirl (black/white and color)

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir

	dh_autoreconf
	
	./configure --bindir=/usr/bin --sysconfdir=/etc --docdir=/usr/share/doc \
		--libdir=/usr/lib --prefix=/usr

	touch configure-stamp

#build: build-indep build-arch
build: build-indep

#build-arch:

build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# convert images (and make pics/ build work)
	cd pics && \
	for i in BabyTuX_color.eps BabyTuX.eps Debian_color.eps Debian.eps; do \
		convert $$i `basename $$i .eps`.png; \
	done && \
	convert penguin.eps penguin.jpg

	$(MAKE)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean
	cd pics && \
	for i in BabyTuX_color.eps BabyTuX.eps Debian_color.eps Debian.eps; do \
		rm -f `basename $$i .eps`.png; \
	done && \
	rm -f penguin.jpg

	dh_autoreconf_clean
	rm -f config.log config.status aclocal.m4 configure
	rm -f missing install-sh depcomp
	-find . -name "Makefile.in" | xargs rm
	-find . -name "Makefile" | xargs rm

	rm -f configure-stamp build-stamp
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/muttprint
	
	# install default /etc/Muttprintrc
	cp $(CURDIR)/debian/Muttprintrc \
		$(CURDIR)/debian/muttprint/etc/Muttprintrc

	# move the images to ospics ...
	mv debian/muttprint/usr/share/muttprint \
		$(CURDIR)/debian/ospics/usr/share/ && \
	cd debian/ospics/usr/share && mv muttprint ospics

	# flip the BabyTux PNG
	cd $(CURDIR)/debian/ospics/usr/share/ospics && \
		convert -flop BabyTuX.png BabyTuX_flip.png

	# move the translations back
	# yes, this way is ugly but easy ;)
	mkdir $(CURDIR)/debian/muttprint/usr/share/muttprint
	mv $(CURDIR)/debian/ospics/usr/share/ospics/translations \
		$(CURDIR)/debian/muttprint/usr/share/muttprint

	# move the manual into muttprint-manual
	cd $(CURDIR)/debian/muttprint/usr/share/doc/muttprint && \
	mv manual* \
		$(CURDIR)/debian/muttprint-manual/usr/share/doc/muttprint/manual

	# remove muttprint-langinfo stuff
	rm -f $(CURDIR)/debian/muttprint/usr/bin/muttprint-langinfo

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl muttprint
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#binary-arch: build install
#	dh_testdir

#binary: binary-indep binary-arch
binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure
